
Figure - 开发 Dev #110740
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

【MK】【APP】【ScreenSaver】【TC-RID: 1201-0300601】
2022-07-25 20:03 - CD FW-王伟

Status: 完成 Closed Start date: 2022-07-25

Priority: Normal Due date:

Assignee: CD FW王武军 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

■需求列表:

只是启动屏保的时机，并非屏保应用开发.

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-07-27 17:35 - CD FW-王伟

- Assignee set to CD- FW-石豪

请设置默认进入屏保，并且调查设置进入屏保的时间。

#2 - 2022-08-04 19:46 - CD FW-王伟

- Subject changed from 【MK】【006】【ScreenSaver】【TC-RID: 0301-0300601】 to 【MK】【006】【ScreenSaver】【TC-RID: 1201-0300601】

#3 - 2022-09-08 08:33 - CD FW-王伟

- Subject changed from 【MK】【006】【ScreenSaver】【TC-RID: 1201-0300601】 to 【MK】【FW】【ScreenSaver】【TC-RID: 1201-0300601】

#4 - 2022-09-08 08:36 - CD FW-王伟

- Subject changed from 【MK】【FW】【ScreenSaver】【TC-RID: 1201-0300601】 to 【MK】【APP】【ScreenSaver】【TC-RID: 1201-0300601】

#5 - 2022-09-15 22:31 - CD- FW-石豪

- Status changed from New to 解决 Resolved

- % Done changed from 0 to 100

【需求描述】

 闲置时间到时，进入屏保界面

【代码提交】

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/Overlay/+/139689

【合入时间】0728，需要在0729之后的版本进行验证

【验证方法】

 1、进入设置-->显示-->屏保

 2、点击启动时机，选择20s，60s 3分钟等等时间，然后等待

 3、等待对应时间后，屏幕会灭屏然后进入时钟屏保
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/Overlay/+/139689


#6 - 2022-11-10 15:53 - CD- FW-石豪

- Status changed from 解决 Resolved to 完成 Closed

- Assignee changed from CD- FW-石豪 to CD FW王武军

#7 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

139689 general/platform/vendor/thundercom

m/apps/Overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:ScreenSaver:modify Screensaver Component1.Change screensaver component package to com.android.deskclock2.Dreams activated when asleep and

charging3.modify stay awake to offTC-RID: 0301-0300601IssueID: TS-R-DF-110740Change-Id: I35340fcc6f168a942a4af943d283c57655604d10

#8 - 2022-12-22 20:20 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

140302 general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:ScreenSaver:modify Screensaver Component1.Change screensaver component package to com.android.deskclock2.Dreams activated when asleep and

charging3.modify stay awake to offTC-RID: 0301-0300601IssueID: TS-R-DF-110740Change-Id: I35340fcc6f168a942a4af943d283c57655604d10

#9 - 2022-12-22 20:24 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

143361 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings crop:Screen timeout1.choose when to star screen：20s，1min，3min，5min，10min, 30min, 1 hourTC-RID: 1201-0300601IssueID:

TS-R-DF-110740Change-Id: I2a8b5b1bd23709ffa5306866053fdcfeceb3ccdf

#10 - 2022-12-22 20:30 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

148031 general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_evt1

shihao0506@thundersoft.com
AF:ScreenSaver:config never sleep1. The sleep time is set to the maximum value of int2. The screen stays awakeTC-RID: 0301-0300601IssueID:

TS-R-DF-110740Change-Id: If843ed796e1296fbac93b5ebbeb8139ff7423d0d

#11 - 2022-12-22 20:30 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

148032 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_evt1

shihao0506@thundersoft.com

AF:ScreenSaver:Disable modification of screen timeoutTC-RID: 0301-0300601IssueID: TS-R-DF-110740Change-Id:

Ic593f8dfe02672de68f9fd60a4c35d421f037234

#12 - 2022-12-28 09:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172281 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Restructure local image picker logic1. Restructure local image picker logicTC-RID: 1201-0300604IssueID: TS-R-DF-110740Change-Id:

I3bd4f057f039cbe360ba9a6db853045e73f1ffa8
